BDU:2022-05978: Уязвимость функции enter_buffer() текстового редактора Vim, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции enter_buffer() текстового редактора Vim связана с смещением указателя за границы выделенной памяти. Эксплуатация уязвимости позволяет нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, Fedora Project, Canonical Ltd., АО «ИВК», Red Hat Inc.
Наименование ПО Astra Linux Special Edition (запись в едином реестре российских программ №369), Debian GNU/Linux, Fedora, Ubuntu, Альт 8 СП, Red Hat Enterprise Linux, vim
Версия ПО
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 10 (Debian GNU/Linux)
  • 34 (Fedora)
  • 16.04 ESM (Ubuntu)
  • 11 (Debian GNU/Linux)
  • - (Альт 8 СП)
  • 9 (Red Hat Enterprise Linux)
  • до 8.2.4327 (vim)
  • 4.7 (Astra Linux Special Edition)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Смещение указателя за указанные границы
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 08.02.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:

Для Vim:
https://github.com/vim/vim/commit/e3537aec2f8d6470010547af28dcbd83d41461b8

Для Debian:
https://security-tracker.debian.org/tracker/CVE-2022-0554

Для ОС Astra Linux:
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20220829SE16

Для Ubuntu:
https://ubuntu.com/security/CVE-2022-0554
https://ubuntu.com/security/notices/USN-5460-1

Для ОС Альт 8 СП:
установка обновления из публичного репозитория программного средства

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2022-0554

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7ZLEHVP4LNAGER4ZDGUDS5V5YVQD6INF/

Для Astra Linux Special Edition 4.7: https://wiki.astralinux.ru/astra-linux-se47-bulletin-2022-1121SE47
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения